{% extends 'base.html.twig' %}

{% block title %}Results{% endblock %}

{% block body %}
    <h1>{{ poll.title }}</h1>
    <h3 id="vote-toto"></h3>

    <div id="MyDonut"></div>
    <div id="myAnswers">
        {% for answer in poll.answers %}
            <div value="{{ answer.content }}"></div>
        {% endfor %}
    </div>
    <div id="vote-div">
        {% for answer in answers %}
            <div value="{{ answer.voteCount }}"></div>
        {% endfor %}
    </div>
{% endblock %}
{% block javascripts %}
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
        let myanswersdiv = document.getElementById("myAnswers");
        let myvotediv = document.getElementById('vote-div');
        let votetototxt = document.getElementById('vote-toto');
        let votetotaux = 0;
        google.charts.load('current', {'packages':['corechart']});
        google.charts.setOnLoadCallback(drawChart);

        function drawChart() {
            let myprincipalarray = [];
            myprincipalarray.push(['Reponses', 'Votes']);
            for (let i = 0; i < myanswersdiv.children.length; i++) {
                let myarrayofanswer = [];
                let myanswers = myanswersdiv.children[i].getAttribute('value');
                let myvotes = myvotediv.children[i].getAttribute('value');
                myarrayofanswer.push(myanswers);
                votetotaux += parseInt(myvotes);
                myarrayofanswer.push(parseInt(myvotes));
                myprincipalarray.push(myarrayofanswer);
            }
            votetototxt.innerText = `${votetotaux} votes au total.`

            let data = google.visualization.arrayToDataTable(myprincipalarray);

            let options = {
                height: 400,
                pieHole: 0.4,
                backgroundColor: '#323232',
                colors: ['#e0440e', '#e6693e', '#ec8f6e', '#f3b49f', '#f6c7b6'],
                is3D: true,
                legend: {
                    position: 'bottom',
                    textStyle: {
                        color: 'white',
                    }
                }

            };

            let chart = new google.visualization.PieChart(document.getElementById('MyDonut'));

            chart.draw(data, options);
        }
    </script>
{% endblock %}